
package com.utopiaindustries.hseobservationsapp.models;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.List;

public class Department {

    @SerializedName("id")
    @Expose
    private Integer id;
    @SerializedName("companyId")
    @Expose
    private Integer companyId;
    @SerializedName("functionId")
    @Expose
    private Integer functionId;
    @SerializedName("title")
    @Expose
    private String title;
    @SerializedName("organization")
    @Expose
    private String organization;
    @SerializedName("code")
    @Expose
    private Integer code;
    @SerializedName("email")
    @Expose
    private Object email;
    @SerializedName("isActive")
    @Expose
    private Boolean isActive;
    @SerializedName("sections")
    @Expose
    private Object sections;
    @SerializedName("hierarchyString")
    @Expose
    private Object hierarchyString;
    @SerializedName("costCenters")
    @Expose
    private Object costCenters;
    @SerializedName("locationSites")
    @Expose
    private Object locationSites;
    @SerializedName("departmentLocationSites")
    @Expose
    private Object departmentLocationSites;
    @SerializedName("utilitySubMeterDepartments")
    @Expose
    private List<Object> utilitySubMeterDepartments;
    @SerializedName("capitalizedTitle")
    @Expose
    private String capitalizedTitle;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Integer companyId) {
        this.companyId = companyId;
    }

    public Integer getFunctionId() {
        return functionId;
    }

    public void setFunctionId(Integer functionId) {
        this.functionId = functionId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getOrganization() {
        return organization;
    }

    public void setOrganization(String organization) {
        this.organization = organization;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public Object getEmail() {
        return email;
    }

    public void setEmail(Object email) {
        this.email = email;
    }

    public Boolean getIsActive() {
        return isActive;
    }

    public void setIsActive(Boolean isActive) {
        this.isActive = isActive;
    }

    public Object getSections() {
        return sections;
    }

    public void setSections(Object sections) {
        this.sections = sections;
    }

    public Object getHierarchyString() {
        return hierarchyString;
    }

    public void setHierarchyString(Object hierarchyString) {
        this.hierarchyString = hierarchyString;
    }

    public Object getCostCenters() {
        return costCenters;
    }

    public void setCostCenters(Object costCenters) {
        this.costCenters = costCenters;
    }

    public Object getLocationSites() {
        return locationSites;
    }

    public void setLocationSites(Object locationSites) {
        this.locationSites = locationSites;
    }

    public Object getDepartmentLocationSites() {
        return departmentLocationSites;
    }

    public void setDepartmentLocationSites(Object departmentLocationSites) {
        this.departmentLocationSites = departmentLocationSites;
    }

    public List<Object> getUtilitySubMeterDepartments() {
        return utilitySubMeterDepartments;
    }

    public void setUtilitySubMeterDepartments(List<Object> utilitySubMeterDepartments) {
        this.utilitySubMeterDepartments = utilitySubMeterDepartments;
    }

    public String getCapitalizedTitle() {
        return capitalizedTitle;
    }

    public void setCapitalizedTitle(String capitalizedTitle) {
        this.capitalizedTitle = capitalizedTitle;
    }

}
