package com.utopiaindustries.hseobservationsapp.models;

import java.util.List;

public class QualityControl {

    private String generatedBy;
    private int siteId;
    private int unitId;
    private int departmentId;
    private int floorId;
    private List<ItemModel> qualityControlItemList;

    public QualityControl(String generatedBy, int siteId, int unitId, int departmentId, int floorId, List<ItemModel> qualityControlItemList) {
        this.generatedBy = generatedBy;
        this.siteId = siteId;
        this.unitId = unitId;
        this.departmentId = departmentId;
        this.floorId = floorId;
        this.qualityControlItemList = qualityControlItemList;
    }

    public String getGeneratedBy() {
        return generatedBy;
    }

    public void setGeneratedBy(String generatedBy) {
        this.generatedBy = generatedBy;
    }

    public int getSiteId() {
        return siteId;
    }

    public void setSiteId(int siteId) {
        this.siteId = siteId;
    }

    public int getUnitId() {
        return unitId;
    }

    public void setUnitId(int unitId) {
        this.unitId = unitId;
    }

    public int getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(int departmentId) {
        this.departmentId = departmentId;
    }

    public int getFloorId() {
        return floorId;
    }

    public void setFloorId(int floorId) {
        this.floorId = floorId;
    }

    public List<ItemModel> getQualityControlItemList() {
        return qualityControlItemList;
    }

    public void setQualityControlItemList(List<ItemModel> qualityControlItemList) {
        this.qualityControlItemList = qualityControlItemList;
    }
}
