package com.utopiaindustries.hseobservationsapp.models;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.List;

public class QualityControlResponse {

    @SerializedName("locationUnits")
    @Expose
    private List<LocationUnit> locationUnits;
    @SerializedName("locationFloors")
    @Expose
    private List<LocationFloor> locationFloors;
    @SerializedName("qualityControlProcessSteps")
    @Expose
    private List<QualityControlProcessStep> qualityControlProcessSteps;
    @SerializedName("locationSites")
    @Expose
    private List<LocationSite> locationSites;
    @SerializedName("departments")
    @Expose
    private List<Department> departments;
    @SerializedName("qualityControlProcessList")
    @Expose
    private List<QualityControlProcess> qualityControlProcessList;

    public List<LocationUnit> getLocationUnits() {
        return locationUnits;
    }

    public void setLocationUnits(List<LocationUnit> locationUnits) {
        this.locationUnits = locationUnits;
    }


    public List<LocationFloor> getLocationFloors() {
        return locationFloors;
    }

    public void setLocationFloors(List<LocationFloor> locationFloors) {
        this.locationFloors = locationFloors;
    }

    public List<QualityControlProcessStep> getQualityControlProcessSteps() {
        return qualityControlProcessSteps;
    }

    public void setQualityControlProcessSteps(List<QualityControlProcessStep> qualityControlProcessSteps) {
        this.qualityControlProcessSteps = qualityControlProcessSteps;
    }

    public List<LocationSite> getLocationSites() {
        return locationSites;
    }

    public void setLocationSites(List<LocationSite> locationSites) {
        this.locationSites = locationSites;
    }

    public List<Department> getDepartments() {
        return departments;
    }

    public void setDepartments(List<Department> departments) {
        this.departments = departments;
    }

    public List<QualityControlProcess> getQualityControlProcessList() {
        return qualityControlProcessList;
    }

    public void setQualityControlProcessList(List<QualityControlProcess> qualityControlProcessList) {
        this.qualityControlProcessList = qualityControlProcessList;
    }
}
